Bug 951883 - [RFE][PATCH] Make private off by default, add an option to let people make a paste private if they wish to
Summary: [RFE][PATCH] Make private off by default, add an option to let people make a ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fpaste
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-14 03:26 UTC by Ankur Sinha (FranciscoD)
Modified: 2013-04-28 03:48 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-26 01:04:25 UTC


Attachments (Terms of Use)
Patch: adds private and expires options. Disables privates pastes by default. (4.89 KB, patch)
2013-04-14 03:26 UTC, Ankur Sinha (FranciscoD)
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 948419 None None None Never

Internal Trackers: 948419

Description Ankur Sinha (FranciscoD) 2013-04-14 03:26:35 UTC
Created attachment 735520 [details]
Patch: adds private and expires options. Disables privates pastes by default.

Description of problem:
Enabling private pastes by default is a bad choice IMO. The server is to be used for troubleshooting, pastes do not need to be private for this purpose. The initial fpaste server at fpaste.org did not have private pastes by default, and it worked well enough.

Enabling private pastes increases the length of the paste quite a bit, and makes it difficult for folks who cannot use copy/paste. (A bug has already been filed for this). 

Since the fpaste server provides private pastes, the better thing to do would be to add an option that lets people make pastes private if they wish to.

The attached patch disables private by default and adds a command line option to make pastes private if desired. 

Please review it. I'd like to push an update ASAP.

Thanks,
Ankur

Comment 1 Fedora Update System 2013-04-17 13:57:40 UTC
fpaste-0.3.7.1-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fpaste-0.3.7.1-8.fc18

Comment 2 Fedora Update System 2013-04-17 13:58:05 UTC
fpaste-0.3.7.1-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fpaste-0.3.7.1-8.fc19

Comment 3 Fedora Update System 2013-04-18 02:33:29 UTC
Package fpaste-0.3.7.1-8.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fpaste-0.3.7.1-8.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5939/fpaste-0.3.7.1-8.fc18
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-04-26 01:04:27 UTC
fpaste-0.3.7.1-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2013-04-28 03:48:02 UTC
fpaste-0.3.7.1-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.